# The tests fail in mock
%bcond_without tests

# Created by pyp2rpm-3.2.2
%global pypi_name ethtool

Name:           python3-%{pypi_name}
Version:        0.14
Release:        1%{?dist}
Summary:        Python module to interface with %{pypi_name}

License:        GPLv2
URL:            https://github.com/fedora-python/%{name}
Source0:        %{pypi_source}

BuildRequires:  gcc

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools

BuildRequires:  libnl3-devel
BuildRequires:  asciidoc
# For tests
BuildRequires:  net-tools

%description
Python bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Python 3 bindings for the ethtool kernel interface, that allows querying and
changing of Ethernet card settings, such as speed, port, auto-negotiation, and
PCI locations.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build

a2x -d manpage -f manpage man/pethtool.8.asciidoc
a2x -d manpage -f manpage man/pifconfig.8.asciidoc


%install
%py3_install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_mandir}/man8/
for x in pethtool pifconfig
do
  mv %{buildroot}%{_bindir}/$x %{buildroot}%{_sbindir}/$x-%{python3_version}
  cp -p man/${x}.8 %{buildroot}%{_mandir}/man8/${x}-%{python3_version}.8
done


%if %{with tests}
%check
export PYTHONPATH=%{buildroot}%{python3_sitearch}
%{__python3} tests/parse_ifconfig.py -v
%{__python3}  -m unittest discover -v
%endif


%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst CHANGES.rst
%license COPYING
%{_sbindir}/pifconfig-%{python3_version}
%{_sbindir}/pethtool-%{python3_version}
%doc %{_mandir}/man8/*
%{python3_sitearch}/%{pypi_name}.cpython-%{python3_version_nodots}*.so
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Tue Dec 10 2019 Orion Poplawski <orion@nwra.com> - 0 14-1
- Python 3 package for EPEL
